Package: groovy.jmx.builder

## [Groovy] Class JmxBuilder

- groovy.jmx.builder.JmxBuilder

- This is JmxBuilder's factory builder class. It is the parent node to all other children nodes supported by JmxBuilder.

  Authors:
    Vladimir Vivien

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class FactoryBuilderSupport` | `CURRENT_FACTORY, PARENT_FACTORY, PARENT_NODE, CURRENT_NODE, PARENT_CONTEXT, PARENT_NAME, CURRENT_NAME, OWNER, PARENT_BUILDER, CURRENT_BUILDER, CHILD_BUILDER, SCRIPT_CLASS_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `JmxBuilder ()`
    `JmxBuilder (MBeanServerConnection svrConnection)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `String` | `getDefaultJmxNameDomain()`
    `` | `String` | `getDefaultJmxNameType()`
    `` | `MBeanServerConnection` | `getMBeanServer()`
    `` | `String` | `getMode()`
    `` | `protected void` | `registerFactories()`
    `` | `protected Factory` | `resolveFactory(Object name, Map attributes, Object value)`
    `` | `void` | `setDefaultJmxNameDomain(String domain)`
    `` | `void` | `setDefaultJmxNameType(String type)`
    `` | `void` | `setMBeanServer(MBeanServerConnection svr)`
    `` | `void` | `setMode(String mode)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---

    `class FactoryBuilderSupport`

    `getCurrent, getVariable, setVariable, getVariables, getParentName, registerFactory, registerFactory, registerBeanFactory, registerBeanFactory, checkValueIsNull, checkValueIsType, checkValueIsTypeNotString, autoRegisterNodes, getFactories, getExplicitMethods, getExplicitProperties, getLocalFactories, getLocalExplicitMethods, getLocalExplicitProperties, getRegistrationGroups, getRegistrationGroupItems, getAttributeDelegates, getPreInstantiateDelegates, getPostInstantiateDelegates, getPostNodeCompletionDelegates, getMethodMissingDelegate, setMethodMissingDelegate, getPropertyMissingDelegate, setPropertyMissingDelegate, getContextAttribute, getCurrentFactory, getCurrentName, getCurrentBuilder, getParentFactory, getParentContext, getChildBuilder, addAttributeDelegate, removeAttributeDelegate, addPreInstantiateDelegate, removePreInstantiateDelegate, addPostInstantiateDelegate, removePostInstantiateDelegate, addPostNodeCompletionDelegate, removePostNodeCompletionDelegate, registerExplicitProperty, registerExplicitProperty, registerExplicitMethod, registerExplicitMethod, getNameMappingClosure, setNameMappingClosure, withBuilder, withBuilder, withBuilder, addDisposalClosure, getDisposalClosures, getParentNode, getName, getProperty, setProperty, getContext, build, build, build, dispose, invokeMethod, invokeMethod, hasVariable, getMetaClass, setMetaClass, equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

    `class Binding` | `getVariable, setVariable, hasVariable, getVariables, getProperty, setProperty, invokeMethod, getMetaClass, setMetaClass, equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JmxBuilder()

    - #### JmxBuilder(MBeanServerConnection svrConnection)

  - ### Method Detail

    - #### String getDefaultJmxNameDomain()

    - #### String getDefaultJmxNameType()

    - #### MBeanServerConnection getMBeanServer()

    - #### String getMode()

    - #### protected void registerFactories()

    - #### protected Factory resolveFactory(Object name, Map attributes, Object value)

    - #### void setDefaultJmxNameDomain(String domain)

    - #### void setDefaultJmxNameType(String type)

    - #### void setMBeanServer(MBeanServerConnection svr)

    - #### void setMode(String mode)